
QGIS Application - Bug report #4408

Validating *.qgs or *.qml against *.dtd

2011-10-19 02:29 AM - Marco Lechner

Status: Open

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14340

Description

It's not possible to validate a QGIS project or style file against the called *.dtd (http://mrcc.com/qgis.dtd). Two reasons: the URL doesn't

exist and using a *.dtd from SVN always returns a "non valid". Having the possibility to validate could decrease erroneous project files. As

such it's a feature wish, but as long as QGIS mentions a *.dtd not working, it's a bug.

Related issues:

Related to QGIS Application - Feature request # 2576: reference to dtd wrong Feedback 2016-02-22

Duplicated by QGIS Application - Bug report # 6423: Link to DTD document is b... Closed 2012-09-27

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-10-25 04:12 PM - Anita Graser

Changing http://mrcc.com/qgis.dtd to https://github.com/qgis/QGIS/blob/master/qgis.dtd would at least fix the broken link.

The issue of updating and maintaining the .dtd remains though ...

#6 - 2015-10-26 08:09 AM - Richard Duivenvoorde

According to this text:

https://en.wikipedia.org/wiki/Document_type_definition

this dtd declaration with an url is actually optional, so another option would be to remove it from the xml?

#7 - 2016-02-22 04:44 AM - Luigi Pirelli
we should decide to remove or update... actually the old broken link is used.

#8 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#10 - 2019-03-12 08:33 AM - Alister Hood

- Resolution deleted (end of life)

- Status changed from Closed to Reopened

This ticket is still valid for 3.6.

#11 - 2019-03-12 10:27 AM - Giovanni Manghi

- Status changed from Reopened to Open

- Affected QGIS version changed from master to 3.6.0
